$!
$! B_MBMON_PRV - build the system service image
$!
$!
$! This software is COPYRIGHT (c) 2005, Ian Miller. ALL RIGHTS RESERVED.
$!
$! Released under licence described in freeware_readme.txt 
$!
$ arch_type = F$GETSYI("ARCH_TYPE")
$ IF arch_type .NE. 2
$ THEN
$     WRITE SYS$OUTPUT "Unsupported system architecture - no build performed"
$     EXIT
$ ENDIF
$ ddd = ""
$ IF F$GETSYI("VERSION") .LES. "V7.2"
$ THEN
$     ddd = "/DEFINE=OLD_EFN"
$ ENDIF
$ IF F$GETSYI("VERSION") .LES. "V7.1"
$ THEN
$     ddd = "/DEFINE=(OLD_STARLET,OLD_EFN)"
$ ENDIF
$ CC/OBJECT=MBMON_PRV.OBJ'ddd' MBMON_PRV.C + SYS$LIBRARY:SYS$LIB_C.TLB/LIBRARY
$!
$ LINK  /SHARE=MBMON_PRV.EXE/PROTECT/MAP=MBMON_PRV.MAP/SYSEXE/FULL/CROSS/NOTRACE -
       MBMON_PRV.OBJ, MBMON_PRV.OPT/OPTIONS/NOSYSSHR/SYMBOL=MBMON_PRV.STB
$ EXIT
