$!
$! MBMONCP Build procedure
$!
$! This software is COPYRIGHT (c) 2005, Ian Miller. ALL RIGHTS RESERVED.
$!
$! Released under licence described in freeware_readme.txt 
$!
$ ON WARNING THEN EXIT
$ map = "/nomap"
$ list = "/list"
$ ccdebug = "/warn=DIS=(GLOBALEXT,ADDRCONSTEXT,NEEDCONSTEXT)"
$ mmdebug = ""
$ lkdebug = ""
$ linkonly = 0
$ IF F$GETSYI("VERSION") .LES. "V7.2"
$ THEN
$     ddd = "/DEFINE=OLD_EFN"
$ ELSE
$     ddd = ""
$ ENDIF
$ arch_type = F$GETSYI("ARCH_TYPE")
$ IF P1 .EQS. "" THEN GOTO L2
$ X=0
$L1:
$ P = F$ELEMENT(X,",",P1)
$ IF P .EQS. "," THEN GOTO L2
$ IF P .EQS. "LINK" THEN linkonly=1
$ IF P .EQS. "DEBUG"
$ THEN
$     ccdebug="/noopt/debug"
$     lkdebug="/debug"
$     mmdebug="/debug"
$ ENDIF
$ IF P .EQS. "MAP" THEN map = "/MAP"
$ IF P .EQS. "LIST" THEN list = "/LIST"
$ X = X + 1
$ GOTO L1
$L2:
$ compile = "CC"+ccdebug+list+ddd
$ IF arch_type .EQ. 1
$ THEN 
$     WRITE SYS$OUTPUT "MBMON does not current work on VMS VAX"
$     EXIT
$     IF F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE") .EQS. ""
$     THEN
$         WRITE SYS$OUTPUT "No DECC compiler found - link only
$         GOTO dolink
$     ENDIF
$ ENDIF
$ IF arch_type .EQ. 2
$ THEN
$     IF F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE") .EQS. ""
$     THEN
$         WRITE SYS$OUTPUT "No DECC compiler found - link only
$         GOTO dolink
$     ENDIF
$ ENDIF
$ IF arch_type .NE. 2
$ THEN
$     WRITE SYS$OUTPUT "Unsupported system architecture - no build performed"
$     EXIT
$ ENDIF
$ ON WARNING THEN EXIT
$ IF linkonly THEN GOTO DOLINK
$!
$ compile MBMONCP.C
$ SET COMMAND/OBJECT MBMONCLD.CLD
$ MESSAGE MBMONMSG.MSG
$DOLINK:
$ LNK = "LINK"+lkdebug+map
$ LNK MBMONCP.OBJ,-
    MBMONCLD.OBJ,MBMONMSG.OBJ, MBMONCP.OPT/OPTIONS
$ EXIT
