$!
$! MBMON_SHUTDOWN - shutdown MBMON
$!
$! This software is COPYRIGHT (c) 2004, Ian Miller. ALL RIGHTS RESERVED.
$!
$! Released under licence described in freeware_readme.txt 
$!
$ arch_type = F$GETSYI("ARCH_TYPE")
$ IF arch_type .NE. 2
$ THEN
$     WRITE SYS$OUTPUT "Unsupported system architecture"
$     EXIT
$ ENDIF
$ SET NOON
$! all files must be in the same directory as this procedure
$ mbmon_dir = F$ENVIRONMENT("DEFAULT")
$!
$! unload the executive image
$ MBMON_LOADER := $'mbmon_dir'MBMON_LOADER.EXE
$ MBMON_LOADER UNLOAD
$ ss = $STATUS
$ IF .NOT. ss
$ THEN
$     WRITE SYS$OUTPUT "Failed to unload MBMON Executive image"
$ ELSE
$     DEASSIGN/EXEC/SYSTEM MBMON_EXECLET
$ ENDIF
$! remove the priviledged library (UWSS)
$ IF F$FILE_ATTR("''mbmon_dir'MBMON_PRV.EXE","KNOWN")
$ THEN
$ 	INSTALL REMOVE 'mbmon_dir'MBMON_PRV.EXE
$       DEASSIGN/EXEC/SYSTEM MBMON_PRV
$ ENDIF
$ EXIT 'ss'
