$!
$! MBMON_STARTUP - make MBMON available for use
$!
$!
$! This software is COPYRIGHT (c) 2004, Ian Miller. ALL RIGHTS RESERVED.
$!
$! Released under licence described in freeware_readme.txt 
$!
$ SET NOON
$ arch_type = F$GETSYI("ARCH_TYPE")
$ IF arch_type .NE. 2
$ THEN
$     WRITE SYS$OUTPUT "Unsupported system architecture"
$     EXIT
$ ENDIF
$! All files must be in the same directory as this procedure.
$ mbmon_dir = F$ENVIRONMENT("DEFAULT")
$!
$! install the privilged library (UWSS)
$ INSTALL ADD 'mbmon_dir'MBMON_PRV.EXE/OPEN/HEADER/PROTECTED/SHARE
$ DEFINE/SYSTEM/EXEC/NAME_ATTR=NO_ALIAS MBMON_PRV 'mbmon_dir'MBMON_PRV.EXE
$!
$! load the executive image
$ MBMON_LOADER := $'mbmon_dir'MBMON_LOADER.EXE
$ DEFINE/SYSTEM/EXEC/NAME_ATTR=NO_ALIAS MBMON_EXECLET 'mbmon_dir'MBMON_EXECLET.EXE
$ MBMON_LOADER LOAD
$ ss = $STATUS
$ IF .NOT. ss
$ THEN
$     WRITE SYS$OUTPUT "Failed to load MBMON Executive image"
$     DEASSIGN/SYS/EXEC MBMON_EXECLET
$     EXIT
$ ENDIF
$ EXIT 'ss'
